# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.photos.pheed
Class PheedConstruct

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ValueConstruct
              com.google.gdata.data.photos.pheed.PheedConstruct

All Implemented Interfaces:
  Extension

Direct Known Subclasses:
  PheedImageUrl, PheedThumbnail, PheedVideoUrl

Deprecated. the pheed construct is deprecated in favor of media rss.

    @Deprecated
    public abstract class PheedConstruct

extends ValueConstruct

Parent class for photo:foo extensions.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.ValueConstruct
`attrName`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`PheedConstruct(java.lang.String name)` Deprecated.
`PheedConstruct(java.lang.String name, java.lang.String value)` Deprecated.

Method Summary

Methods inherited from class com.google.gdata.data.ValueConstruct
`consumeAttributes, equals, generate, getHandler, getValue, hashCode, hasValue, isRequired, putAttributes, setRequired, setValue`

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PheedConstruct

    public PheedConstruct(java.lang.String name)

  Deprecated.

### PheedConstruct

    public PheedConstruct(java.lang.String name,
                          java.lang.String value)

  Deprecated.